<?php
if ( ! defined( 'ABSPATH' ) ) {
	die();
}

/**
 * Generated by the WordPress Option Page generator
 * at http://jeremyhixon.com/wp-tools/option-page/
 */

/*
 * Retrieve this value with:
 * $forminator_acymailing_connector_options = get_option( 'forminator_acymailing_connector_option_name' ); // Array of All Options
 * $forminator_form_id_0 = $forminator_acymailing_connector_options['forminator_form_id_0']; // Forminator Form ID
 * $acymailing_list_ids_seperated_by_comma_i_e_1_3_1 = $forminator_acymailing_connector_options['acymailing_list_ids_seperated_by_comma_i_e_1_3_1']; // AcyMailing list IDs (seperated by comma, i. e. 1,3)
 * $acymailing_list_id_to_resent_welcome_message_default_0_2 = $forminator_acymailing_connector_options['acymailing_list_id_to_resent_welcome_message_default_0_2']; // AcyMailing list ID to resent welcome message (default 0)
 * $forminator_name_field_name_3 = $forminator_acymailing_connector_options['forminator_name_field_name_3']; // Forminator Name field name
 * $forminator_email_field_name_4 = $forminator_acymailing_connector_options['forminator_email_field_name_4']; // Forminator Email field name
 */

class Forminator_Acymailing_Connector_Plugin_Admin {
	private $forminator_acymailing_connector_options;

	public function __construct() {
		add_action( 'admin_menu', array( $this, 'forminator_acymailing_connector_add_plugin_page' ) );
		add_action( 'admin_init', array( $this, 'forminator_acymailing_connector_page_init' ) );
	}

	public function forminator_acymailing_connector_add_plugin_page() {
		add_menu_page(
			'Forminator AcyMailing Connector', // page_title
			'Forminator AcyMailing', // menu_title
			'manage_options', // capability
			'forminator-acymailing-connector', // menu_slug
			array( $this, 'forminator_acymailing_connector_create_admin_page' ), // function
			'dashicons-admin-tools', // icon_url
			999 // position
		);
	}

	public function forminator_acymailing_connector_create_admin_page() {
		$this->forminator_acymailing_connector_options = get_option( 'forminator_acymailing_connector_option_name' ); ?>

		<div class="wrap">
			<h2>Forminator AcyMailing Connector</h2>
			<p>Please add the following parameters.</p>
			<p><strong>Note: This Plugin currently just supports a name and a email field for your E-Mail submission form.</strong></p>
			<ol>
				<li>Go to Dashboard -> Forminator AcyMailing and fill out the parameters</li>

			<li>The Forminator Form ID you can get by copying the Shortcode and paste it into the field
				Make sure to just save the Form ID, i. e. 1234</li>
			<li>Add the ID of the Name and the E-Mail field of your Forminator form.<br/>
				You can see the form IDs in the field overview in edit mode of your form.</li>

			<li>You can add form submissions to 1 or more AcyMailing lists.<br/>
				Just add the ID(s) of the list(s) in the AcyMailing list IDs field.</li>
			<li>If your AcyMailing list has a welcome email you can resent this
			to a user, if he/she resubscribes. Just add the ID of the list with
			the respective Welcome email.<br/>
				Default should be 0</li>
			</ol>
			<?php settings_errors(); ?>

			<form method="post" action="options.php">
				<?php
				settings_fields( 'forminator_acymailing_connector_option_group' );
				do_settings_sections( 'forminator-acymailing-connector-admin' );
				submit_button();
				?>
			</form>
		</div>
	<?php }
	public function forminator_acymailing_connector_section1_info () {
		return '';
	}
	public function forminator_acymailing_connector_section2_info () {
		return '';
	}
	public function forminator_acymailing_connector_page_init() {
		register_setting(
			'forminator_acymailing_connector_option_group', // option_group
			'forminator_acymailing_connector_option_name', // option_name
			array( $this, 'forminator_acymailing_connector_sanitize' ) // sanitize_callback
		);

		add_settings_section(
			'forminator_acymailing_connector_setting_section1', // id
			'Set the Forminator parameters', // title
			array( $this, 'forminator_acymailing_connector_section1_info' ), // callback
			'forminator-acymailing-connector-admin' // page
		);

		add_settings_field(
			'field_0', // id
			'Forminator Form ID', // title
			array( $this, 'field_0_callback' ), // callback
			'forminator-acymailing-connector-admin', // page
			'forminator_acymailing_connector_setting_section1' // section
		);

		add_settings_field(
			'field_3', // id
			'Forminator Name field name', // title
			array( $this, 'field_3_callback' ), // callback
			'forminator-acymailing-connector-admin', // page
			'forminator_acymailing_connector_setting_section1' // section
		);

		add_settings_field(
			'field_4', // id
			'Forminator Email field name', // title
			array( $this, 'field_4_callback' ), // callback
			'forminator-acymailing-connector-admin', // page
			'forminator_acymailing_connector_setting_section1' // section
		);

		add_settings_section(
			'forminator_acymailing_connector_setting_section2', // id
			'Set the AcyMailing parameters', // title
			array( $this, 'forminator_acymailing_connector_section2_info' ), // callback
			'forminator-acymailing-connector-admin' // page
		);

		add_settings_field(
			'field_1', // id
			'AcyMailing list IDs (seperated by comma, i. e. 1,3)', // title
			array( $this, 'field_1_callback' ), // callback
			'forminator-acymailing-connector-admin', // page
			'forminator_acymailing_connector_setting_section2' // section
		);

		add_settings_field(
			'field_2', // id
			'AcyMailing list ID to resent welcome message (default 0)', // title
			array( $this, 'field_2_callback' ), // callback
			'forminator-acymailing-connector-admin', // page
			'forminator_acymailing_connector_setting_section2' // section
		);


	}

	public function forminator_acymailing_connector_sanitize($input) {
		$sanitary_values = array();
		if ( isset( $input['field_0'] ) ) {
			$sanitary_values['field_0'] = sanitize_text_field( $input['field_0'] );
		}

		if ( isset( $input['field_1'] ) ) {
			$sanitary_values['field_1'] = sanitize_text_field( $input['field_1'] );
		}

		if ( isset( $input['field_2'] ) ) {
			$sanitary_values['field_2'] = sanitize_text_field( $input['field_2'] );
		}

		if ( isset( $input['field_3'] ) ) {
			$sanitary_values['field_3'] = sanitize_text_field( $input['field_3'] );
		}

		if ( isset( $input['field_4'] ) ) {
			$sanitary_values['field_4'] = sanitize_text_field( $input['field_4'] );
		}

		return $sanitary_values;
	}

	public function forminator_acymailing_connector_section_info() {

	}

	public function field_0_callback() {
		printf(
			'<input class="regular-text" type="text" name="forminator_acymailing_connector_option_name[field_0]" id="field_0" value="%s">',
			isset( $this->forminator_acymailing_connector_options['field_0'] ) ? esc_attr( $this->forminator_acymailing_connector_options['field_0']) : ''
		);
	}

	public function field_1_callback() {
		printf(
			'<input class="regular-text" type="text" name="forminator_acymailing_connector_option_name[field_1]" id="field_1" value="%s">',
			isset( $this->forminator_acymailing_connector_options['field_1'] ) ? esc_attr( $this->forminator_acymailing_connector_options['field_1']) : ''
		);
	}

	public function field_2_callback() {
		printf(
			'<input class="regular-text" type="text" name="forminator_acymailing_connector_option_name[field_2]" id="field_2" value="%s">',
			isset( $this->forminator_acymailing_connector_options['field_2'] ) ? esc_attr( $this->forminator_acymailing_connector_options['field_2']) : ''
		);
	}

	public function field_3_callback() {
		printf(
			'<input class="regular-text" type="text" name="forminator_acymailing_connector_option_name[field_3]" id="field_3" value="%s">',
			isset( $this->forminator_acymailing_connector_options['field_3'] ) ? esc_attr( $this->forminator_acymailing_connector_options['field_3']) : ''
		);
	}

	public function field_4_callback() {
		printf(
			'<input class="regular-text" type="text" name="forminator_acymailing_connector_option_name[field_4]" id="field_4" value="%s">',
			isset( $this->forminator_acymailing_connector_options['field_4'] ) ? esc_attr( $this->forminator_acymailing_connector_options['field_4']) : ''
		);
	}

}



if ( is_admin() )
{
	$forminator_acymailing_connector = new Forminator_Acymailing_Connector_Plugin_Admin();
}
